Skip to main content
GET
/
organizations
/
{organizationId}
/
deployment-options
Get Deployment options
curl --request GET \
  --url https://api.astronomer.io/platform/v1beta1/organizations/{organizationId}/deployment-options \
  --header 'Authorization: Bearer <token>'
{
  "executors": [
    "<string>"
  ],
  "resourceQuotas": {
    "defaultPodSize": {
      "cpu": {
        "ceiling": "10",
        "default": "5",
        "floor": "1"
      },
      "memory": {
        "ceiling": "10",
        "default": "5",
        "floor": "1"
      }
    },
    "resourceQuota": {
      "cpu": {
        "ceiling": "10",
        "default": "5",
        "floor": "1"
      },
      "memory": {
        "ceiling": "10",
        "default": "5",
        "floor": "1"
      }
    }
  },
  "runtimeReleases": [
    {
      "airflowDatabaseMigration": false,
      "airflowVersion": "2.7.1",
      "channel": "stable",
      "releaseDate": "2022-11-22T04:37:12Z",
      "stellarDatabaseMigration": false,
      "version": "9.1.0"
    }
  ],
  "schedulerMachines": [
    {
      "name": "SMALL",
      "spec": {
        "cpu": "1",
        "memory": "2Gi",
        "concurrency": 10,
        "ephemeralStorage": "10Gi"
      }
    }
  ],
  "workerMachines": [
    {
      "concurrency": {
        "ceiling": 10,
        "default": 5,
        "floor": 1
      },
      "name": "A5",
      "spec": {
        "cpu": "1",
        "memory": "2Gi",
        "concurrency": 10,
        "ephemeralStorage": "10Gi"
      }
    }
  ],
  "workerQueues": {
    "maxWorkers": {
      "ceiling": 10,
      "default": 5,
      "floor": 1
    },
    "minWorkers": {
      "ceiling": 10,
      "default": 5,
      "floor": 1
    },
    "workerConcurrency": {
      "ceiling": 10,
      "default": 5,
      "floor": 1
    }
  },
  "workloadIdentityOptions": [
    {
      "label": "workload-label",
      "role": "workload-role"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://astronomer-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

The ID of the Organization to retrieve Deployment options for.

Query Parameters

deploymentId
string

The ID of a Deployment to retrieve options for.

deploymentType
enum<string>

The runtime type of the deployment.

Available options:
HYBRID,
DEDICATED,
STANDARD
executor
enum<string>

The executor of the deployment.

Available options:
CELERY,
KUBERNETES,
ASTRO
cloudProvider
enum<string>

The cloud provider of the cluster for the deployment.

Available options:
AWS,
AZURE,
GCP

Response

OK

executors
string[]
required

The available executors.

resourceQuotas
object
required
runtimeReleases
object[]
required

The available Astro Runtime versions.

schedulerMachines
object[]
required

The available scheduler sizes.

workerMachines
object[]
required

The available worker machine types.

workerQueues
object
required
workloadIdentityOptions
object[]

The available workload identity options.